import { BaseRoute, FetchOptions, Options } from "./base";
import type { GenshinUserData, AchievementData } from "../interface";
export type UserFetchOptions = FetchOptions & {
    /**
     * @description The type of the user data to fetch
     * @property {number} 1 - Detailed Character Info, only return few characters
     * @property {number} 2 - Basic Character Info, return all characters
     * @default 1
     */
    avatar_list_type?: number;
};
export declare class Achievement extends BaseRoute<AchievementData> {
    private readonly defaultOptions?;
    constructor(options?: Options);
    /**
     * @param {string} uid Genshin Impact UID
     */
    fetch(uid: string, options?: FetchOptions): Promise<AchievementData>;
}
export declare class GenshinUser extends BaseRoute<GenshinUserData> {
    private readonly defaultOptions?;
    achievement: Achievement;
    constructor(options?: Options);
    /**
     * @param {string} uid Genshin Impact UID
     */
    fetch(uid: string, options?: UserFetchOptions): Promise<GenshinUserData>;
}
