import { BaseRoute, FetchOptions, Options } from "./base";
import type { RoleCombatData } from "../interface";
export type RoleCombatOptions<need_detail extends boolean = false> = FetchOptions & Partial<{
    need_detail: need_detail;
}>;
/**
 * @description Imaginarium Theater
 */
export declare class RoleCombat extends BaseRoute<RoleCombatData<true | false>> {
    private readonly defaultOptions?;
    constructor(options?: Options);
    /**
     * @param {string} uid Genshin Impact UID
     */
    fetch<need_detail extends boolean = false>(uid: string, options?: RoleCombatOptions<need_detail>): Promise<RoleCombatData<need_detail>>;
}
