"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkServerRegion = checkServerRegion;
const constants_1 = require("../constants/constants");
/**
 * @description Check server_region by uid
 *
 * 8 / 18: os_asia
 * 9: os_cht
 * 7: os_euro
 * 6: os_usa
 */
function checkServerRegion(uid) {
    const uidString = uid.toString();
    const serverMap = {
        "18": constants_1.ServerRegion.os_asia,
        "8": constants_1.ServerRegion.os_asia,
        "9": constants_1.ServerRegion.os_cht,
        "7": constants_1.ServerRegion.os_euro,
        "6": constants_1.ServerRegion.os_usa,
    };
    const serverKey = Object.keys(serverMap).find(key => uidString.startsWith(key)) ?? "";
    const serverRegion = serverMap[serverKey];
    if (serverRegion === undefined) {
        throw new Error("Invalid UID(unknown server region)");
    }
    return serverRegion;
}
