import { Language } from "../constants/lang";
import type { ClientCookieManager } from "../client/clientCookieManager";
import type { FetchOptions } from "../routes/base";
import type { FetchClaimHistoryOption, SpiralAbyssFetchOptions, CardListOptions, MonthDiaryOptions, RoleCombatOptions, CharctersListFetchOptions, UserFetchOptions } from "../routes";
interface mergeUtilOptions {
    options?: FetchOptions | UserFetchOptions | CharctersListFetchOptions | SpiralAbyssFetchOptions | FetchClaimHistoryOption | CardListOptions | MonthDiaryOptions | RoleCombatOptions<true | false>;
    cookieManager?: ClientCookieManager;
    defaultOptions?: FetchOptions;
}
export declare enum OptionType {
    FetchOptions = "FetchOptions",
    SpiralAbyssFetchOptions = "SpiralAbyssFetchOptions",
    FetchClaimHistoryOption = "FetchClaimHistoryOption",
    CardListOptions = "CardListOptions",
    MonthDiaryOptions = "MonthDiaryOptions",
    RoleCombatOptions = "RoleCombatOptions",
    CharctersListFetchOptions = "CharctersListFetchOptions",
    UserInfoFetchOptions = "UserInfoFetchOptions"
}
export declare function mergeOptions(input: mergeUtilOptions, type?: OptionType): {
    cookie: string | undefined;
    language: Language;
    previous: boolean | undefined;
    avatar_list_type?: undefined;
    sort_type?: undefined;
    elements?: undefined;
    weapon_type?: undefined;
    page?: undefined;
    need_avatar?: undefined;
    need_action?: undefined;
    need_stats?: undefined;
    offset?: undefined;
    limit?: undefined;
    month?: undefined;
    need_detail?: undefined;
} | {
    cookie: string | undefined;
    language: Language;
    avatar_list_type: number | undefined;
    previous?: undefined;
    sort_type?: undefined;
    elements?: undefined;
    weapon_type?: undefined;
    page?: undefined;
    need_avatar?: undefined;
    need_action?: undefined;
    need_stats?: undefined;
    offset?: undefined;
    limit?: undefined;
    month?: undefined;
    need_detail?: undefined;
} | {
    cookie: string | undefined;
    language: Language;
    sort_type: number | undefined;
    elements: ("Pyro" | "Hydro" | "Dendro" | "Electro" | "Anemo" | "Geo" | "Cryo")[] | undefined;
    weapon_type: (1 | 12 | 10 | 13 | 11)[] | undefined;
    previous?: undefined;
    avatar_list_type?: undefined;
    page?: undefined;
    need_avatar?: undefined;
    need_action?: undefined;
    need_stats?: undefined;
    offset?: undefined;
    limit?: undefined;
    month?: undefined;
    need_detail?: undefined;
} | {
    cookie: string | undefined;
    language: Language;
    page: number | undefined;
    previous?: undefined;
    avatar_list_type?: undefined;
    sort_type?: undefined;
    elements?: undefined;
    weapon_type?: undefined;
    need_avatar?: undefined;
    need_action?: undefined;
    need_stats?: undefined;
    offset?: undefined;
    limit?: undefined;
    month?: undefined;
    need_detail?: undefined;
} | {
    cookie: string | undefined;
    language: Language;
    need_avatar: boolean | undefined;
    need_action: boolean | undefined;
    need_stats: boolean | undefined;
    offset: number | undefined;
    limit: number | undefined;
    previous?: undefined;
    avatar_list_type?: undefined;
    sort_type?: undefined;
    elements?: undefined;
    weapon_type?: undefined;
    page?: undefined;
    month?: undefined;
    need_detail?: undefined;
} | {
    cookie: string | undefined;
    language: Language;
    month: number | undefined;
    previous?: undefined;
    avatar_list_type?: undefined;
    sort_type?: undefined;
    elements?: undefined;
    weapon_type?: undefined;
    page?: undefined;
    need_avatar?: undefined;
    need_action?: undefined;
    need_stats?: undefined;
    offset?: undefined;
    limit?: undefined;
    need_detail?: undefined;
} | {
    cookie: string | undefined;
    language: Language;
    need_detail: boolean | undefined;
    previous?: undefined;
    avatar_list_type?: undefined;
    sort_type?: undefined;
    elements?: undefined;
    weapon_type?: undefined;
    page?: undefined;
    need_avatar?: undefined;
    need_action?: undefined;
    need_stats?: undefined;
    offset?: undefined;
    limit?: undefined;
    month?: undefined;
} | {
    cookie: string | undefined;
    language: Language;
    previous?: undefined;
    avatar_list_type?: undefined;
    sort_type?: undefined;
    elements?: undefined;
    weapon_type?: undefined;
    page?: undefined;
    need_avatar?: undefined;
    need_action?: undefined;
    need_stats?: undefined;
    offset?: undefined;
    limit?: undefined;
    month?: undefined;
    need_detail?: undefined;
};
export {};
