import type { FetchOptions } from "../routes/base";
import type { FetchClaimHistoryOption, SpiralAbyssFetchOptions, CardListOptions, RedeemOptions, MonthDiaryOptions, RoleCombatOptions, CharctersListFetchOptions } from "../routes";
type RequiredFetchOptions = Required<FetchOptions>;
export declare const basicValidator: (key: string | number, options?: FetchOptions) => options is RequiredFetchOptions;
export declare const spiralAbyssValidator: (uid: string, options?: SpiralAbyssFetchOptions) => options is RequiredFetchOptions & SpiralAbyssFetchOptions;
export declare const charctersListValidator: (uid: string, options?: CharctersListFetchOptions) => options is RequiredFetchOptions & CharctersListFetchOptions;
export declare const characterDetailsValidator: (uid: string, character_id: number, options?: FetchOptions) => options is RequiredFetchOptions;
export declare const userInfoValidator: (uid: string, options?: FetchOptions) => options is RequiredFetchOptions;
export declare const roleCombatValidator: (uid: string, options?: RoleCombatOptions<true | false>) => options is RequiredFetchOptions & RoleCombatOptions<true | false>;
export declare const cardListValidator: (uid: string, options?: CardListOptions) => options is RequiredFetchOptions & CardListOptions;
export declare const redeemValidator: (code: string, options?: RedeemOptions) => options is Required<RedeemOptions>;
export declare const getMonthValidator: (uid: string, options?: Partial<MonthDiaryOptions>) => options is Required<MonthDiaryOptions>;
export declare const claimHistoryValidator: (options?: FetchClaimHistoryOption) => options is RequiredFetchOptions & FetchClaimHistoryOption;
export {};
